%define module	django
%define tarname	Django
%define name	python-%{module}
%define version	1.5.6
%define release	%mkrel 1
%define subrel 1

Summary:	A high-level Python Web framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	https://pypi.python.org/packages/source/D/%{tarname}/%{tarname}-%{version}.tar.gz
Patch0:     python-django-1.5.6-regression.patch
License:	BSD
Group:		Development/Python
Url:		http://www.djangoproject.com
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
BuildRequires:	python-devel
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%package -n python3-%{module}
Summary:	A high-level Python Web framework
Group:		Development/Python

%description -n python3-%{module}

Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%package doc
Summary:	Documentation for django
Group:		Development/Python
Provides:	python3-%{module}-doc = %{version}-%{release}

%description doc
This package contains documentation for Django,
a high-level Python Web framework.

%prep
%setup -q -n %{tarname}-%{version}
sed -i 's/^\(ez_setup.use_setuptools\)/#\1/' setup.py
%patch0 -p1

cp -a . %{py3dir}

%build
%{__python} setup.py build
make -C docs/ html
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
# must do install of python 3 subpackage first, so that we don't
# overwrite django-admin script with the python 3 version
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/django-admin.py %{buildroot}%{_bindir}/python3-django-admin.py
popd

%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc README*
%{_bindir}/django-admin.py
%{python_sitelib}/%{module}
%{python_sitelib}/%{tarname}-*.egg-info

%files -n python3-%{module}
%doc README*
%{_bindir}/python3-django-admin.py
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{tarname}-*.egg-info

%files doc
%doc README* docs/_build/html



%changelog
* Thu Apr 24 2014 philippem <philippem> 1.5.6-1.1.mga4
+ Revision: 617679
- fix regression with upstream patch dj#22486
- 1.5.6 (fixes CVE-2014-0472, CVE-2014-0473, CVE-2014-0474)

* Tue Oct 22 2013 umeabot <umeabot> 1.5.4-3.mga4
+ Revision: 543295
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5.4-2.mga4
+ Revision: 498360
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 16 2013 oden <oden> 1.5.4-1.mga4
+ Revision: 480299
- 1.5.4 (fixes CVE-2013-1443)

* Wed Sep 11 2013 philippem <philippem> 1.5.3-1.mga4
+ Revision: 477685
- update to 1.5.3, security fix for CVE-2013-4315

* Wed Sep 04 2013 philippem <philippem> 1.5.2-1.mga4
+ Revision: 475168
- split doc in subpackage

  + marja <marja>
    - update to 1.5.2 and add python3
    - clean spec
    - removed PYTHONDONTWRITEBYTECODE= (mga#3348)

* Wed Aug 14 2013 oden <oden> 1.4.6-1.mga4
+ Revision: 466252
- 1.4.6 (security release)

* Tue Feb 26 2013 dmorgan <dmorgan> 1.4.5-1.mga3
+ Revision: 400426
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 378662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.4.3-1.mga3
+ Revision: 330338
- New version 1.4.3

* Thu Oct 18 2012 philippem <philippem> 1.4.2-1.mga3
+ Revision: 308004
- Fix security issues (https://www.djangoproject.com/weblog/2012/oct/17/security/)

* Sun Aug 12 2012 philippem <philippem> 1.4.1-1.mga3
+ Revision: 280862
- Fix #6986 several security issues.
- CVE-2012-3442: Cross-site scripting in authentication views
- CVE-2012-3443: Denial-of-service in image validation
- CVE-2012-3444: Denial-of-service via get_image_dimensions()

* Wed Jul 18 2012 obgr_seneca <obgr_seneca> 1.4-1.mga3
+ Revision: 272259
- new version 1.4

* Mon Sep 12 2011 misc <misc> 1.3.1-1.mga2
+ Revision: 142749
- upgrade to 1.3.1
- clean the specs file

* Mon Apr 18 2011 misc <misc> 1.3-1.mga1
+ Revision: 87658
- update to latest stable version of django

* Mon Feb 21 2011 ahmad <ahmad> 1.2.3-5.mga1
+ Revision: 55680
- resubmit, now that python-sphinx can be installed
- rebuild to make all pythonegg requires/provides lowercase

* Wed Feb 02 2011 dmorgan <dmorgan> 1.2.3-3.mga1
+ Revision: 46241
- imported package python-django

